library(HomomorphicEncryption)

p <- pars("FandV")
k <- keygen(p)
c1 <- enc(k$pk, 2)
c2 <- enc(k$pk, 3)
c1
c3 <- c1+c2
c3
c4 <- c1*c2
dec(k$sk, c3)
dec(k$sk, c4)

A <- matrix(sample(1:100, 3*5), nrow=3)
B <- matrix(sample(1:100, 5*2), nrow=5)

cA <- enc(k$pk, A)
cA
cB <- enc(k$pk, B)

res <- cA%*%cB
res
res[2,1]
dec(k$sk, res)
A%*%B
